# Uses of Enum Class
com.logicaldoc.core.security.user.UserSource

Packages that use UserSource
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserSource in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return UserSource
Modifier and Type
Method
Description
`UserSource`
User.`getSource()`
The source from which the user has been created
`static UserSource`
UserSource.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UserSource[]`
UserSource.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.security.user with parameters of type UserSource
Modifier and Type
Method
Description
`void`
User.`setSource(UserSource source)`